Subject: [bug#35126] [PATCH] gnu: rust: Enable parallel tests starting with 1.26.

From: Ivan Petkov <[email-masked]>
Date: Sat, 6 Apr 2019 09:09:13 -0700

> On Apr 6, 2019, at 3:48 AM, Danny Milosavljevic <[email-masked]> wrote:
> 
> On Fri, 5 Apr 2019 08:36:44 -0700
> Ivan Petkov <[email-masked]> wrote:
> 
>> Hi Danny,
>> 
>>> On Apr 5, 2019, at 7:11 AM, Danny Milosavljevic <[email-masked]> wrote:
>>> 
>>> Should we limit the number of parallel jobs?  I think at least armhf is going
>>> to be very overloaded otherwise.  To which value?  
>> 
>> Do the armhf builders define that they have fewer cores available?
>> 
>> If not, we could cap the max jobs to 2, although it would be nice to potentially
>> use as many cores as are available for non-armhf builds.
> 
> I think the problem is RAM usage.  Arm machines have little RAM and will choke
> if too many memory-expensive things run in parallel.

I’d anticipate that building rustc itself would be the most memory intense operation,
I think most of the individual tests aren’t anywhere nearly as big…

—Ivan